import cx from 'classnames';
import React, { ReactChild } from 'react';
import { Icon } from '../icon/Icon';
import styles from './button.css';

type RawButtonProps = {
  icon: string,
  buttonClassName?: string,
  iconClassName?: string
};

function IconButton ({icon, buttonClassName, iconClassName}: RawButtonProps) {
  return (
    <button className={cx(styles.iconButton, buttonClassName)}>
      <Icon {...{icon}} className={cx(iconClassName)} />
    </button>
  );
}

export {
  IconButton
};
